Create Misconfiguration Remediation Job

This method is used to create remediation jobs for misconfiguration patches.

KeyMeaningMandatoryData Type
accountidThe account ID or name under which the remediation job is createdYesstring
nameThe name of the remediation jobYesstring
starttimeThe start time of the remediation job in HH:MM:AM/PM format (e.g., 03:24:PM)Yesstring
endtimeThe end time of the remediation job in HH:MM:AM/PM format (e.g., 03:50:PM)Nostring
startwindowtimeThe start window time for the remediation job in HH:MM:AM/PM format (e.g., 03:30:PM)Yesstring
forcerebootWhether to force reboot after remediation; accepted values: true or falseNostring
scheduleThe scheduled date for the remediation job in YYYY-MM-DD format (e.g., 2024-12-29)Yesstring
deviceList of target device names on which the remediation job will runYesarray
remjobpatchesinfoJSON array containing asset name and associated patch details including patchid, eri, and reboot flagYesarray
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response= client.Compliance.createMisconfigurationRemediationJob(
  accountid="Demo Account",
  name="RemJob1",
  starttime="03:24:PM",
  endtime="05:25:PM",
  startwindowtime="03:30:PM",
  schedule="2026-03-15",
  device=["device 1","device 2"],
  remjobpatchesinfo={
    "assetname": "Ubuntu 18.04",
    "remjobpatchinfo": [
     {
      "patchid": "cce-92627-9-patch.sh",
      "eri": "eri:com.secpod.eri:14173",
      "reboot": "FALSE"
     }]
})

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json